Subject: Re: [PATCH/RFC 01/10] Implement local diversion of IPv4 skbs

From: Ingo Oeser <[email-masked]>
Date: Wed, 10 Jan 2007 14:27:31 +0100

Patrick McHardy schrieb:
> We support bitwise use of the mark everywhere in current kernels, so
> that shouldn't be a problem anymore.

For firewall mark based policy routing to work, one must still disable 
rp_filter, because this lookup doesn't take the mark into account[1].

So this statement is not quite true, although I believe you are probably right 
for this case.

BTW: This rp_filter=0 requirement isn't even officially documented 
	(e.g. in the LARTC).

Regards

Ingo Oeser

[1] But does take TOS into account for historic (???) reasons.